Bug 17700 - Add columns configuration to fines table
Summary: Add columns configuration to fines table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17596
  Show dependency treegraph
 
Reported: 2016-11-30 09:28 UTC by Josef Moravec
Modified: 2016-12-18 20:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17700: Add columns setting to fines tables (3.40 KB, patch)
2016-11-30 09:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17700: Add columns setting to fines tables (3.58 KB, patch)
2016-12-12 13:21 UTC, Radek Šiman (R-Bit Technology, s.r.o.)
Details | Diff | Splinter Review
Bug 17700: Add columns setting to fines tables (3.64 KB, patch)
2016-12-12 13:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-11-30 09:28:07 UTC

    
Comment 1 Josef Moravec 2016-11-30 09:34:15 UTC
Created attachment 57830 [details] [review]
Bug 17700: Add columns setting to fines tables

Test plan:
0) Apply the patch
1) Go to adminitration -> Configure columns and confirm there is new
table configuration with id=account-fines in Patrons section available
2) play with table setting to ensure it works as expected
3) go to to boraccount page for some patron with both fines - payed and
owed
4) Note there is new button "Columns visibility" in top paginator panel, try to use it
5) Play with the datatable, sort filter and so on
Comment 2 Radek Šiman (R-Bit Technology, s.r.o.) 2016-12-12 13:21:33 UTC
Created attachment 58118 [details] [review]
Bug 17700: Add columns setting to fines tables

Test plan:
0) Apply the patch and restart memcached + koha-common services if
needed
1) Go to adminitration -> Configure columns and confirm there is new
table configuration with id=account-fines in Patrons section available
2) play with table setting to ensure it works as expected
3) go to to boraccount page for some patron with both fines - payed and
owed
4) Note there is new button "Columns visibility" in top paginator panel,
try to use it
5) Play with the datatable, sort filter and so on

Signed-off-by: Radek Šiman <rbit@rbit.cz>
Comment 3 Jonathan Druart 2016-12-12 13:57:16 UTC
Created attachment 58120 [details] [review]
Bug 17700: Add columns setting to fines tables

Test plan:
0) Apply the patch and restart memcached + koha-common services if
needed
1) Go to adminitration -> Configure columns and confirm there is new
table configuration with id=account-fines in Patrons section available
2) play with table setting to ensure it works as expected
3) go to to boraccount page for some patron with both fines - payed and
owed
4) Note there is new button "Columns visibility" in top paginator panel,
try to use it
5) Play with the datatable, sort filter and so on

Signed-off-by: Radek Šiman <rbit@rbit.cz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2016-12-16 11:39:07 UTC
Pushed to master for 17.05, thanks Josef!
Comment 5 Katrin Fischer 2016-12-18 20:35:10 UTC
This won't get backported to 16.11.x as it is an enhancement.